## org.eclipse.datatools.sqltools.sqlbuilder
Class StatementResourceChangeListener

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.StatementResourceChangeListener

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.core.resources.IResourceChangeListener, org.eclipse.core.resources.IResourceDeltaVisitor

    public class StatementResourceChangeListener

extends java.lang.Object
implements org.eclipse.core.resources.IResourceChangeListener, org.eclipse.core.resources.IResourceDeltaVisitor

Listener class for changes made to SQL statement files in the workspace

Constructor Summary
`StatementResourceChangeListener()`

Method Summary
`void` `resourceChanged(org.eclipse.core.resources.IResourceChangeEvent event)`
`boolean` `visit(org.eclipse.core.resources.IResourceDelta delta)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatementResourceChangeListener

    public StatementResourceChangeListener()

Method Detail

### resourceChanged

    public void resourceChanged(org.eclipse.core.resources.IResourceChangeEvent event)

  Specified by:
    `resourceChanged` in interface `org.eclipse.core.resources.IResourceChangeListener`

### visit

    public boolean visit(org.eclipse.core.resources.IResourceDelta delta)

  Specified by:
    `visit` in interface `org.eclipse.core.resources.IResourceDeltaVisitor`